+ date
Wed Aug 16 14:04:01 UTC 2023
+ id
uid=0(root) gid=0(root) groups=0(root)
+ apt-get source --only-source tre=0.8.0-6+11.0trisquel0
Reading package lists...
Need to get 617 kB of source archives.
Get:1 http://ftp.acc.umu.se/mirror/trisquel/packages aramo-updates/main tre 0.8.0-6+11.0trisquel0 (dsc) [1655 B]
Get:2 http://ftp.acc.umu.se/mirror/trisquel/packages aramo-updates/main tre 0.8.0-6+11.0trisquel0 (tar) [615 kB]
dpkg-source: info: extracting tre in tre-0.8.0
dpkg-source: info: unpacking tre_0.8.0-6+11.0trisquel0.tar.xz
Fetched 617 kB in 0s (3624 kB/s)
W: Download is performed unsandboxed as root as file 'tre_0.8.0-6+11.0trisquel0.dsc' couldn't be accessed by user '_apt'. - pkgAcquire::Run (13: Permission denied)
+ env DEBIAN_FRONTEND=noninteractive apt-get build-dep -y --only-source tre=0.8.0-6+11.0trisquel0
Reading package lists...
Building dependency tree...
Reading state information...
The following NEW packages will be installed:
  autoconf automake autopoint autotools-dev debhelper debugedit dh-autoreconf
  dh-strip-nondeterminism dwz libdebhelper-perl
  libfile-stripnondeterminism-perl libsub-override-perl libtool locales-all m4
  po-debconf
0 upgraded, 16 newly installed, 0 to remove and 168 not upgraded.
Need to get 13.8 MB of archives.
After this operation, 242 MB of additional disk space will be used.
Get:1 http://ftp.acc.umu.se/mirror/trisquel/packages aramo/main amd64 m4 amd64 1.4.18-5ubuntu2 [199 kB]
Get:2 http://ftp.acc.umu.se/mirror/trisquel/packages aramo/main amd64 autoconf all 2.71-2 [338 kB]
Get:3 http://ftp.acc.umu.se/mirror/trisquel/packages aramo/main amd64 autotools-dev all 20220109.1 [44.9 kB]
Get:4 http://ftp.acc.umu.se/mirror/trisquel/packages aramo/main amd64 automake all 1:1.16.5-1.3 [558 kB]
Get:5 http://ftp.acc.umu.se/mirror/trisquel/packages aramo/main amd64 autopoint all 0.21-4ubuntu4 [422 kB]
Get:6 http://ftp.acc.umu.se/mirror/trisquel/packages aramo/main amd64 libdebhelper-perl all 13.6ubuntu1 [67.2 kB]
Get:7 http://ftp.acc.umu.se/mirror/trisquel/packages aramo/main amd64 libtool all 2.4.6-15build2 [164 kB]
Get:8 http://ftp.acc.umu.se/mirror/trisquel/packages aramo/main amd64 dh-autoreconf all 20 [16.1 kB]
Get:9 http://ftp.acc.umu.se/mirror/trisquel/packages aramo/main amd64 libsub-override-perl all 0.09-2 [9532 B]
Get:10 http://ftp.acc.umu.se/mirror/trisquel/packages aramo/main amd64 libfile-stripnondeterminism-perl all 1.13.0-1 [18.1 kB]
Get:11 http://ftp.acc.umu.se/mirror/trisquel/packages aramo/main amd64 dh-strip-nondeterminism all 1.13.0-1 [5344 B]
Get:12 http://ftp.acc.umu.se/mirror/trisquel/packages aramo/main amd64 debugedit amd64 1:5.0-4build1 [47.2 kB]
Get:13 http://ftp.acc.umu.se/mirror/trisquel/packages aramo/main amd64 dwz amd64 0.14-1build2 [105 kB]
Get:14 http://ftp.acc.umu.se/mirror/trisquel/packages aramo/main amd64 po-debconf all 1.0.21+nmu1 [233 kB]
Get:15 http://ftp.acc.umu.se/mirror/trisquel/packages aramo/main amd64 debhelper all 13.6ubuntu1 [923 kB]
Get:16 http://ftp.acc.umu.se/mirror/trisquel/packages aramo/main amd64 locales-all amd64 2.35-0ubuntu3.1+11.0trisquel1 [10.7 MB]
debconf: delaying package configuration, since apt-utils is not installed
Fetched 13.8 MB in 2s (7892 kB/s)
Selecting previously unselected package m4.
(Reading database ... (Reading database ... 5%(Reading database ... 10%(Reading database ... 15%(Reading database ... 20%(Reading database ... 25%(Reading database ... 30%(Reading database ... 35%(Reading database ... 40%(Reading database ... 45%(Reading database ... 50%(Reading database ... 55%(Reading database ... 60%(Reading database ... 65%(Reading database ... 70%(Reading database ... 75%(Reading database ... 80%(Reading database ... 85%(Reading database ... 90%(Reading database ... 95%(Reading database ... 100%(Reading database ... 123255 files and directories currently installed.)
Preparing to unpack .../00-m4_1.4.18-5ubuntu2_amd64.deb ...
Unpacking m4 (1.4.18-5ubuntu2) ...
Selecting previously unselected package autoconf.
Preparing to unpack .../01-autoconf_2.71-2_all.deb ...
Unpacking autoconf (2.71-2) ...
Selecting previously unselected package autotools-dev.
Preparing to unpack .../02-autotools-dev_20220109.1_all.deb ...
Unpacking autotools-dev (20220109.1) ...
Selecting previously unselected package automake.
Preparing to unpack .../03-automake_1%3a1.16.5-1.3_all.deb ...
Unpacking automake (1:1.16.5-1.3) ...
Selecting previously unselected package autopoint.
Preparing to unpack .../04-autopoint_0.21-4ubuntu4_all.deb ...
Unpacking autopoint (0.21-4ubuntu4) ...
Selecting previously unselected package libdebhelper-perl.
Preparing to unpack .../05-libdebhelper-perl_13.6ubuntu1_all.deb ...
Unpacking libdebhelper-perl (13.6ubuntu1) ...
Selecting previously unselected package libtool.
Preparing to unpack .../06-libtool_2.4.6-15build2_all.deb ...
Unpacking libtool (2.4.6-15build2) ...
Selecting previously unselected package dh-autoreconf.
Preparing to unpack .../07-dh-autoreconf_20_all.deb ...
Unpacking dh-autoreconf (20) ...
Selecting previously unselected package libsub-override-perl.
Preparing to unpack .../08-libsub-override-perl_0.09-2_all.deb ...
Unpacking libsub-override-perl (0.09-2) ...
Selecting previously unselected package libfile-stripnondeterminism-perl.
Preparing to unpack .../09-libfile-stripnondeterminism-perl_1.13.0-1_all.deb ...
Unpacking libfile-stripnondeterminism-perl (1.13.0-1) ...
Selecting previously unselected package dh-strip-nondeterminism.
Preparing to unpack .../10-dh-strip-nondeterminism_1.13.0-1_all.deb ...
Unpacking dh-strip-nondeterminism (1.13.0-1) ...
Selecting previously unselected package debugedit.
Preparing to unpack .../11-debugedit_1%3a5.0-4build1_amd64.deb ...
Unpacking debugedit (1:5.0-4build1) ...
Selecting previously unselected package dwz.
Preparing to unpack .../12-dwz_0.14-1build2_amd64.deb ...
Unpacking dwz (0.14-1build2) ...
Selecting previously unselected package po-debconf.
Preparing to unpack .../13-po-debconf_1.0.21+nmu1_all.deb ...
Unpacking po-debconf (1.0.21+nmu1) ...
Selecting previously unselected package debhelper.
Preparing to unpack .../14-debhelper_13.6ubuntu1_all.deb ...
Unpacking debhelper (13.6ubuntu1) ...
Selecting previously unselected package locales-all.
Preparing to unpack .../15-locales-all_2.35-0ubuntu3.1+11.0trisquel1_amd64.deb ...
Unpacking locales-all (2.35-0ubuntu3.1+11.0trisquel1) ...
Setting up po-debconf (1.0.21+nmu1) ...
Setting up libdebhelper-perl (13.6ubuntu1) ...
Setting up m4 (1.4.18-5ubuntu2) ...
Setting up locales-all (2.35-0ubuntu3.1+11.0trisquel1) ...
Setting up autotools-dev (20220109.1) ...
Setting up autopoint (0.21-4ubuntu4) ...
Setting up autoconf (2.71-2) ...
Setting up dwz (0.14-1build2) ...
Setting up debugedit (1:5.0-4build1) ...
Setting up libsub-override-perl (0.09-2) ...
Setting up automake (1:1.16.5-1.3) ...
update-alternatives: using /usr/bin/automake-1.16 to provide /usr/bin/automake (automake) in auto mode
Setting up libfile-stripnondeterminism-perl (1.13.0-1) ...
Setting up libtool (2.4.6-15build2) ...
Setting up dh-autoreconf (20) ...
Setting up dh-strip-nondeterminism (1.13.0-1) ...
Setting up debhelper (13.6ubuntu1) ...
Processing triggers for man-db (2.10.2-1) ...
+ find . -maxdepth 1 -name tre* -type d
+ cd ./tre-0.8.0
+ eatmydata env DEB_BUILD_OPTIONS=noautodbgsym dpkg-buildpackage --no-sign
dpkg-buildpackage: info: source package tre
dpkg-buildpackage: info: source version 0.8.0-6+11.0trisquel0
dpkg-buildpackage: info: source distribution aramo
dpkg-buildpackage: info: source changed by Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 dpkg-source --before-build .
dpkg-buildpackage: info: host architecture amd64
 debian/rules clean
dh clean
dh: warning: Compatibility levels before 10 are deprecated (level 9 in use)
   debian/rules override_dh_clean
make[1]: Entering directory '/build/tre/tre-0.8.0'
dh_clean
dh_clean: warning: Compatibility levels before 10 are deprecated (level 9 in use)
cd po && rm -f *.gmo
make[1]: Leaving directory '/build/tre/tre-0.8.0'
 dpkg-source -b .
dpkg-source: warning: native package version may not have a revision
dpkg-source: info: using source format '3.0 (native)'
dpkg-source: info: building tre in tre_0.8.0-6+11.0trisquel0.tar.xz
dpkg-source: info: building tre in tre_0.8.0-6+11.0trisquel0.dsc
 debian/rules build
dh build
dh: warning: Compatibility levels before 10 are deprecated (level 9 in use)
   dh_update_autotools_config
   debian/rules override_dh_auto_configure
make[1]: Entering directory '/build/tre/tre-0.8.0'
touch -d "2014-04-29 12:00" `cat debian/modified-files.txt`
dh_auto_configure -- --enable-static
dh_auto_configure: warning: Compatibility levels before 10 are deprecated (level 9 in use)
	./configure --build=x86_64-linux-gnu --prefix=/usr --includedir=\${prefix}/include --mandir=\${prefix}/share/man --infodir=\${prefix}/share/info --sysconfdir=/etc --localstatedir=/var --disable-option-checking --disable-silent-rules --libdir=\${prefix}/lib/x86_64-linux-gnu --libexecdir=\${prefix}/lib/x86_64-linux-gnu --disable-maintainer-mode --disable-dependency-tracking --enable-static
checking build system type... x86_64-pc-linux-gnu
checking host system type... x86_64-pc-linux-gnu
checking target system type... x86_64-pc-linux-gnu
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /usr/bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether make supports nested variables... yes
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking whether gcc understands -c and -o together... yes
checking for style of include used by make... GNU
checking dependency style of gcc... none
checking how to run the C preprocessor... gcc -E
checking for an ANSI C-conforming const... yes
checking for inline... inline
checking for grep that handles long lines and -e... /usr/bin/grep
checking for egrep... /usr/bin/grep -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking for size_t... yes
checking for working alloca.h... yes
checking for alloca... yes
checking for isascii... yes
checking for isblank... yes
checking getopt.h usability... yes
checking getopt.h presence... yes
checking for getopt.h... yes
checking for getopt_long... yes
checking for libutf8... not needed
checking wchar.h usability... yes
checking wchar.h presence... yes
checking for wchar.h... yes
checking wctype.h usability... yes
checking wctype.h presence... yes
checking for wctype.h... yes
checking for wchar_t... yes
checking whether WCHAR_MAX is defined... yes
checking for wint_t... yes
checking for mbstate_t... yes
checking for wcsrtombs... yes
checking for iswlower... yes
checking for iswupper... yes
checking for towlower... yes
checking for towupper... yes
checking for wcschr... yes
checking for wcscpy... yes
checking for wcslen... yes
checking for wcsncpy... yes
checking for wctype... yes
checking for iswctype... yes
checking for iswascii... no
checking for iswblank... yes
checking for mbrtowc... yes
checking for special C compiler options needed for large files... no
checking for _FILE_OFFSET_BITS value needed for large files... no
checking whether NLS is requested... yes
checking for msgfmt... /usr/bin/msgfmt
checking for gmsgfmt... /usr/bin/msgfmt
checking for xgettext... /usr/bin/xgettext
checking for msgmerge... /usr/bin/msgmerge
checking for ld used by GCC... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for shared library run path origin... done
checking for CFPreferencesCopyAppValue... no
checking for CFLocaleCopyCurrent... no
checking for GNU gettext in libc... yes
checking whether to use NLS... yes
checking where the gettext function comes from... libc
checking how to print strings... printf
checking for a sed that does not truncate output... /usr/bin/sed
checking for fgrep... /usr/bin/grep -F
checking for ld used by gcc... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for BSD- or MS-compatible name lister (nm)... /usr/bin/nm -B
checking the name lister (/usr/bin/nm -B) interface... BSD nm
checking whether ln -s works... yes
checking the maximum length of command line arguments... 1572864
checking whether the shell understands some XSI constructs... yes
checking whether the shell understands "+="... yes
checking how to convert x86_64-pc-linux-gnu file names to x86_64-pc-linux-gnu format... func_convert_file_noop
checking how to convert x86_64-pc-linux-gnu file names to toolchain format... func_convert_file_noop
checking for /usr/bin/ld option to reload object files... -r
checking for objdump... objdump
checking how to recognize dependent libraries... pass_all
checking for dlltool... dlltool
checking how to associate runtime and link libraries... printf %s\n
checking for ar... ar
checking for archiver @FILE support... @
checking for strip... strip
checking for ranlib... ranlib
checking command to parse /usr/bin/nm -B output from gcc object... ok
checking for sysroot... no
checking for mt... mt
checking if mt is a manifest tool... no
checking for dlfcn.h... yes
checking for objdir... .libs
checking if gcc supports -fno-rtti -fno-exceptions... no
checking for gcc option to produce PIC... -fPIC -DPIC
checking if gcc PIC flag -fPIC -DPIC works... yes
checking if gcc static flag -static works... yes
checking if gcc supports -c -o file.o... yes
checking if gcc supports -c -o file.o... (cached) yes
checking whether the gcc linker (/usr/bin/ld -m elf_x86_64) supports shared libraries... yes
checking whether -lc should be explicitly linked in... no
checking dynamic linker characteristics... GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... yes
checking that generated files are newer than configure... done
configure: creating ./config.status
config.status: creating Makefile
config.status: creating doc/Makefile
config.status: creating doc/agrep.1
config.status: creating lib/Makefile
config.status: creating m4/Makefile
config.status: creating po/Makefile.in
config.status: creating src/Makefile
config.status: creating tests/Makefile
config.status: creating tests/agrep/Makefile
config.status: creating tre.pc
config.status: creating tre.spec
config.status: creating utils/Makefile
config.status: creating config.h
config.status: creating lib/tre-config.h
config.status: executing depfiles commands
config.status: executing po-directories commands
config.status: creating po/POTFILES
config.status: creating po/Makefile
config.status: executing libtool commands


Configuration summary
=====================

TRE is now configured as follows:

* Compilation environment

  CC       = gcc
  CFLAGS   = -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security
  CPP      = gcc -E
  CPPFLAGS = -Wdate-time -D_FORTIFY_SOURCE=2
  LD       = /usr/bin/ld -m elf_x86_64
  LDFLAGS  = -Wl,-Bsymbolic-functions -flto=auto -ffat-lto-objects -flto=auto -Wl,-z,relro
  LIBS     = 
  Use alloca():                       yes

* TRE options

  Development-time debugging:         no
  System regex ABI compatibility:     no
  Wide character (wchar_t) support:   yes
  Multibyte character set support:    yes
  Approximate matching support:       yes
  Build and install agrep:            yes

make[1]: Leaving directory '/build/tre/tre-0.8.0'
   debian/rules override_dh_auto_build
make[1]: Entering directory '/build/tre/tre-0.8.0'
dh_auto_build
dh_auto_build: warning: Compatibility levels before 10 are deprecated (level 9 in use)
	make -j1
make[2]: Entering directory '/build/tre/tre-0.8.0'
make  all-recursive
make[3]: Entering directory '/build/tre/tre-0.8.0'
Making all in lib
make[4]: Entering directory '/build/tre/tre-0.8.0/lib'
make  all-am
make[5]: Entering directory '/build/tre/tre-0.8.0/lib'
/bin/bash ../libtool  --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H -I. -I..   -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c -o tre-ast.lo tre-ast.c
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c tre-ast.c  -fPIC -DPIC -o .libs/tre-ast.o
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c tre-ast.c -o tre-ast.o >/dev/null 2>&1
/bin/bash ../libtool  --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H -I. -I..   -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c -o tre-compile.lo tre-compile.c
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c tre-compile.c  -fPIC -DPIC -o .libs/tre-compile.o
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c tre-compile.c -o tre-compile.o >/dev/null 2>&1
/bin/bash ../libtool  --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H -I. -I..   -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c -o tre-match-backtrack.lo tre-match-backtrack.c
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c tre-match-backtrack.c  -fPIC -DPIC -o .libs/tre-match-backtrack.o
In file included from tre-match-backtrack.c:74:
tre-match-backtrack.c: In function 'tre_tnfa_run_backtrack':
xmalloc.h:69:20: warning: 'free' called on pointer to an unallocated object [-Wfree-nonheap-object]
   69 | #define xfree(ptr) free(ptr)
      |                    ^~~~~~~~~
In file included from /usr/include/stdlib.h:574,
                 from tre-match-backtrack.c:55:
tre-match-backtrack.c:269:10: note: returned from 'alloca'
  269 |   tags = alloca(sizeof(*tags) * tnfa->num_tags);
      |          ^~~~~~
In file included from tre-match-backtrack.c:74:
xmalloc.h:69:20: warning: 'free' called on pointer to an unallocated object [-Wfree-nonheap-object]
   69 | #define xfree(ptr) free(ptr)
      |                    ^~~~~~~~~
In file included from /usr/include/stdlib.h:574,
                 from tre-match-backtrack.c:55:
tre-match-backtrack.c:270:12: note: returned from 'alloca'
  270 |   pmatch = alloca(sizeof(*pmatch) * tnfa->num_submatches);
      |            ^~~~~~
In file included from tre-match-backtrack.c:74:
xmalloc.h:69:20: warning: 'free' called on pointer to an unallocated object [-Wfree-nonheap-object]
   69 | #define xfree(ptr) free(ptr)
      |                    ^~~~~~~~~
In file included from /usr/include/stdlib.h:574,
                 from tre-match-backtrack.c:55:
tre-match-backtrack.c:271:17: note: returned from 'alloca'
  271 |   states_seen = alloca(sizeof(*states_seen) * tnfa->num_states);
      |                 ^~~~~~
In file included from tre-match-backtrack.c:74:
xmalloc.h:69:20: warning: 'free' called on pointer to an unallocated object [-Wfree-nonheap-object]
   69 | #define xfree(ptr) free(ptr)
      |                    ^~~~~~~~~
In file included from /usr/include/stdlib.h:574,
                 from tre-match-backtrack.c:55:
tre-match-backtrack.c:269:10: note: returned from 'alloca'
  269 |   tags = alloca(sizeof(*tags) * tnfa->num_tags);
      |          ^~~~~~
In file included from tre-match-backtrack.c:74:
xmalloc.h:69:20: warning: 'free' called on pointer to an unallocated object [-Wfree-nonheap-object]
   69 | #define xfree(ptr) free(ptr)
      |                    ^~~~~~~~~
In file included from /usr/include/stdlib.h:574,
                 from tre-match-backtrack.c:55:
tre-match-backtrack.c:270:12: note: returned from 'alloca'
  270 |   pmatch = alloca(sizeof(*pmatch) * tnfa->num_submatches);
      |            ^~~~~~
In file included from tre-match-backtrack.c:74:
xmalloc.h:69:20: warning: 'free' called on pointer to an unallocated object [-Wfree-nonheap-object]
   69 | #define xfree(ptr) free(ptr)
      |                    ^~~~~~~~~
In file included from /usr/include/stdlib.h:574,
                 from tre-match-backtrack.c:55:
tre-match-backtrack.c:271:17: note: returned from 'alloca'
  271 |   states_seen = alloca(sizeof(*states_seen) * tnfa->num_states);
      |                 ^~~~~~
In file included from tre-match-backtrack.c:74:
xmalloc.h:69:20: warning: 'free' called on pointer to an unallocated object [-Wfree-nonheap-object]
   69 | #define xfree(ptr) free(ptr)
      |                    ^~~~~~~~~
In file included from /usr/include/stdlib.h:574,
                 from tre-match-backtrack.c:55:
tre-match-backtrack.c:269:10: note: returned from 'alloca'
  269 |   tags = alloca(sizeof(*tags) * tnfa->num_tags);
      |          ^~~~~~
In file included from tre-match-backtrack.c:74:
xmalloc.h:69:20: warning: 'free' called on pointer to an unallocated object [-Wfree-nonheap-object]
   69 | #define xfree(ptr) free(ptr)
      |                    ^~~~~~~~~
In file included from /usr/include/stdlib.h:574,
                 from tre-match-backtrack.c:55:
tre-match-backtrack.c:270:12: note: returned from 'alloca'
  270 |   pmatch = alloca(sizeof(*pmatch) * tnfa->num_submatches);
      |            ^~~~~~
In file included from tre-match-backtrack.c:74:
xmalloc.h:69:20: warning: 'free' called on pointer to an unallocated object [-Wfree-nonheap-object]
   69 | #define xfree(ptr) free(ptr)
      |                    ^~~~~~~~~
In file included from /usr/include/stdlib.h:574,
                 from tre-match-backtrack.c:55:
tre-match-backtrack.c:271:17: note: returned from 'alloca'
  271 |   states_seen = alloca(sizeof(*states_seen) * tnfa->num_states);
      |                 ^~~~~~
In file included from tre-match-backtrack.c:74:
xmalloc.h:69:20: warning: 'free' called on pointer to an unallocated object [-Wfree-nonheap-object]
   69 | #define xfree(ptr) free(ptr)
      |                    ^~~~~~~~~
In file included from /usr/include/stdlib.h:574,
                 from tre-match-backtrack.c:55:
tre-match-backtrack.c:269:10: note: returned from 'alloca'
  269 |   tags = alloca(sizeof(*tags) * tnfa->num_tags);
      |          ^~~~~~
In file included from tre-match-backtrack.c:74:
xmalloc.h:69:20: warning: 'free' called on pointer to an unallocated object [-Wfree-nonheap-object]
   69 | #define xfree(ptr) free(ptr)
      |                    ^~~~~~~~~
In file included from /usr/include/stdlib.h:574,
                 from tre-match-backtrack.c:55:
tre-match-backtrack.c:270:12: note: returned from 'alloca'
  270 |   pmatch = alloca(sizeof(*pmatch) * tnfa->num_submatches);
      |            ^~~~~~
In file included from tre-match-backtrack.c:74:
xmalloc.h:69:20: warning: 'free' called on pointer to an unallocated object [-Wfree-nonheap-object]
   69 | #define xfree(ptr) free(ptr)
      |                    ^~~~~~~~~
In file included from /usr/include/stdlib.h:574,
                 from tre-match-backtrack.c:55:
tre-match-backtrack.c:271:17: note: returned from 'alloca'
  271 |   states_seen = alloca(sizeof(*states_seen) * tnfa->num_states);
      |                 ^~~~~~
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c tre-match-backtrack.c -o tre-match-backtrack.o >/dev/null 2>&1
/bin/bash ../libtool  --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H -I. -I..   -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c -o tre-match-parallel.lo tre-match-parallel.c
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c tre-match-parallel.c  -fPIC -DPIC -o .libs/tre-match-parallel.o
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c tre-match-parallel.c -o tre-match-parallel.o >/dev/null 2>&1
/bin/bash ../libtool  --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H -I. -I..   -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c -o tre-mem.lo tre-mem.c
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c tre-mem.c  -fPIC -DPIC -o .libs/tre-mem.o
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c tre-mem.c -o tre-mem.o >/dev/null 2>&1
/bin/bash ../libtool  --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H -I. -I..   -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c -o tre-parse.lo tre-parse.c
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c tre-parse.c  -fPIC -DPIC -o .libs/tre-parse.o
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c tre-parse.c -o tre-parse.o >/dev/null 2>&1
/bin/bash ../libtool  --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H -I. -I..   -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c -o tre-stack.lo tre-stack.c
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c tre-stack.c  -fPIC -DPIC -o .libs/tre-stack.o
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c tre-stack.c -o tre-stack.o >/dev/null 2>&1
/bin/bash ../libtool  --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H -I. -I..   -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c -o regcomp.lo regcomp.c
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c regcomp.c  -fPIC -DPIC -o .libs/regcomp.o
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c regcomp.c -o regcomp.o >/dev/null 2>&1
/bin/bash ../libtool  --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H -I. -I..   -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c -o regexec.lo regexec.c
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c regexec.c  -fPIC -DPIC -o .libs/regexec.o
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c regexec.c -o regexec.o >/dev/null 2>&1
/bin/bash ../libtool  --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H -I. -I..   -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c -o regerror.lo regerror.c
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c regerror.c  -fPIC -DPIC -o .libs/regerror.o
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c regerror.c -o regerror.o >/dev/null 2>&1
/bin/bash ../libtool  --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H -I. -I..   -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c -o tre-match-approx.lo tre-match-approx.c
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c tre-match-approx.c  -fPIC -DPIC -o .libs/tre-match-approx.o
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c tre-match-approx.c -o tre-match-approx.o >/dev/null 2>&1
/bin/bash ../libtool  --tag=CC   --mode=link gcc  -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -no-undefined -version-info 5:0:0 -Wl,-Bsymbolic-functions -flto=auto -ffat-lto-objects -flto=auto -Wl,-z,relro -Wl,-Bsymbolic-functions -flto=auto -ffat-lto-objects -flto=auto -Wl,-z,relro -o libtre.la -rpath /usr/lib/x86_64-linux-gnu tre-ast.lo tre-compile.lo tre-match-backtrack.lo tre-match-parallel.lo tre-mem.lo tre-parse.lo tre-stack.lo regcomp.lo regexec.lo regerror.lo tre-match-approx.lo  
libtool: link: gcc -shared  -fPIC -DPIC  .libs/tre-ast.o .libs/tre-compile.o .libs/tre-match-backtrack.o .libs/tre-match-parallel.o .libs/tre-mem.o .libs/tre-parse.o .libs/tre-stack.o .libs/regcomp.o .libs/regexec.o .libs/regerror.o .libs/tre-match-approx.o    -O2 -flto=auto -flto=auto -Wl,-Bsymbolic-functions -flto=auto -flto=auto -Wl,-z -Wl,relro -Wl,-Bsymbolic-functions -flto=auto -flto=auto -Wl,-z -Wl,relro   -Wl,-soname -Wl,libtre.so.5 -o .libs/libtre.so.5.0.0
tre-match-backtrack.c: In function 'tre_tnfa_run_backtrack':
tre-match-backtrack.c:350:11: warning: 'free' called on pointer to an unallocated object [-Wfree-nonheap-object]
  350 |           BT_STACK_PUSH(pos, str_byte, str_wide, trans_i->state,
      |           ^
tre-match-backtrack.c:269:10: note: returned from '__builtin_alloca'
  269 |   tags = alloca(sizeof(*tags) * tnfa->num_tags);
      |          ^
tre-match-backtrack.c:350:11: warning: 'free' called on pointer to an unallocated object [-Wfree-nonheap-object]
  350 |           BT_STACK_PUSH(pos, str_byte, str_wide, trans_i->state,
      |           ^
tre-match-backtrack.c:270:12: note: returned from '__builtin_alloca'
  270 |   pmatch = alloca(sizeof(*pmatch) * tnfa->num_submatches);
      |            ^
tre-match-backtrack.c:350:11: warning: 'free' called on pointer to an unallocated object [-Wfree-nonheap-object]
  350 |           BT_STACK_PUSH(pos, str_byte, str_wide, trans_i->state,
      |           ^
tre-match-backtrack.c:271:17: note: returned from '__builtin_alloca'
  271 |   states_seen = alloca(sizeof(*states_seen) * tnfa->num_states);
      |                 ^
tre-match-backtrack.c:350:11: warning: 'free' called on pointer to an unallocated object [-Wfree-nonheap-object]
  350 |           BT_STACK_PUSH(pos, str_byte, str_wide, trans_i->state,
      |           ^
tre-match-backtrack.c:269:10: note: returned from '__builtin_alloca'
  269 |   tags = alloca(sizeof(*tags) * tnfa->num_tags);
      |          ^
tre-match-backtrack.c:350:11: warning: 'free' called on pointer to an unallocated object [-Wfree-nonheap-object]
  350 |           BT_STACK_PUSH(pos, str_byte, str_wide, trans_i->state,
      |           ^
tre-match-backtrack.c:270:12: note: returned from '__builtin_alloca'
  270 |   pmatch = alloca(sizeof(*pmatch) * tnfa->num_submatches);
      |            ^
tre-match-backtrack.c:350:11: warning: 'free' called on pointer to an unallocated object [-Wfree-nonheap-object]
  350 |           BT_STACK_PUSH(pos, str_byte, str_wide, trans_i->state,
      |           ^
tre-match-backtrack.c:271:17: note: returned from '__builtin_alloca'
  271 |   states_seen = alloca(sizeof(*states_seen) * tnfa->num_states);
      |                 ^
tre-match-backtrack.c:571:19: warning: 'free' called on pointer to an unallocated object [-Wfree-nonheap-object]
  571 |                   BT_STACK_PUSH(pos, str_byte, str_wide, trans_i->state,
      |                   ^
tre-match-backtrack.c:269:10: note: returned from '__builtin_alloca'
  269 |   tags = alloca(sizeof(*tags) * tnfa->num_tags);
      |          ^
tre-match-backtrack.c:571:19: warning: 'free' called on pointer to an unallocated object [-Wfree-nonheap-object]
  571 |                   BT_STACK_PUSH(pos, str_byte, str_wide, trans_i->state,
      |                   ^
tre-match-backtrack.c:270:12: note: returned from '__builtin_alloca'
  270 |   pmatch = alloca(sizeof(*pmatch) * tnfa->num_submatches);
      |            ^
tre-match-backtrack.c:571:19: warning: 'free' called on pointer to an unallocated object [-Wfree-nonheap-object]
  571 |                   BT_STACK_PUSH(pos, str_byte, str_wide, trans_i->state,
      |                   ^
tre-match-backtrack.c:271:17: note: returned from '__builtin_alloca'
  271 |   states_seen = alloca(sizeof(*states_seen) * tnfa->num_states);
      |                 ^
tre-match-backtrack.c:571:19: warning: 'free' called on pointer to an unallocated object [-Wfree-nonheap-object]
  571 |                   BT_STACK_PUSH(pos, str_byte, str_wide, trans_i->state,
      |                   ^
tre-match-backtrack.c:269:10: note: returned from '__builtin_alloca'
  269 |   tags = alloca(sizeof(*tags) * tnfa->num_tags);
      |          ^
tre-match-backtrack.c:571:19: warning: 'free' called on pointer to an unallocated object [-Wfree-nonheap-object]
  571 |                   BT_STACK_PUSH(pos, str_byte, str_wide, trans_i->state,
      |                   ^
tre-match-backtrack.c:270:12: note: returned from '__builtin_alloca'
  270 |   pmatch = alloca(sizeof(*pmatch) * tnfa->num_submatches);
      |            ^
tre-match-backtrack.c:571:19: warning: 'free' called on pointer to an unallocated object [-Wfree-nonheap-object]
  571 |                   BT_STACK_PUSH(pos, str_byte, str_wide, trans_i->state,
      |                   ^
tre-match-backtrack.c:271:17: note: returned from '__builtin_alloca'
  271 |   states_seen = alloca(sizeof(*states_seen) * tnfa->num_states);
      |                 ^
libtool: link: (cd ".libs" && rm -f "libtre.so.5" && ln -s "libtre.so.5.0.0" "libtre.so.5")
libtool: link: (cd ".libs" && rm -f "libtre.so" && ln -s "libtre.so.5.0.0" "libtre.so")
libtool: link: ar cru .libs/libtre.a  tre-ast.o tre-compile.o tre-match-backtrack.o tre-match-parallel.o tre-mem.o tre-parse.o tre-stack.o regcomp.o regexec.o regerror.o tre-match-approx.o
ar: `u' modifier ignored since `D' is the default (see `U')
libtool: link: ranlib .libs/libtre.a
libtool: link: ( cd ".libs" && rm -f "libtre.la" && ln -s "../libtre.la" "libtre.la" )
make[5]: Leaving directory '/build/tre/tre-0.8.0/lib'
make[4]: Leaving directory '/build/tre/tre-0.8.0/lib'
Making all in src
make[4]: Entering directory '/build/tre/tre-0.8.0/src'
gcc -DHAVE_CONFIG_H -I. -I.. -I../lib -I../lib  -Wdate-time -D_FORTIFY_SOURCE=2 -DLOCALEDIR=\"/usr/share/locale\" -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c -o agrep-agrep.o `test -f 'agrep.c' || echo './'`agrep.c
/bin/bash ../libtool  --tag=CC   --mode=link gcc -DLOCALEDIR=\"/usr/share/locale\" -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security  -Wl,-Bsymbolic-functions -flto=auto -ffat-lto-objects -flto=auto -Wl,-z,relro -o agrep agrep-agrep.o ../lib/libtre.la  
libtool: link: gcc -DLOCALEDIR=\"/usr/share/locale\" -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wl,-Bsymbolic-functions -flto=auto -ffat-lto-objects -flto=auto -Wl,-z -Wl,relro -o .libs/agrep agrep-agrep.o  ../lib/.libs/libtre.so
make[4]: Leaving directory '/build/tre/tre-0.8.0/src'
Making all in doc
make[4]: Entering directory '/build/tre/tre-0.8.0/doc'
make[4]: Nothing to be done for 'all'.
make[4]: Leaving directory '/build/tre/tre-0.8.0/doc'
Making all in tests
make[4]: Entering directory '/build/tre/tre-0.8.0/tests'
Making all in agrep
make[5]: Entering directory '/build/tre/tre-0.8.0/tests/agrep'
make[5]: Nothing to be done for 'all'.
make[5]: Leaving directory '/build/tre/tre-0.8.0/tests/agrep'
make[5]: Entering directory '/build/tre/tre-0.8.0/tests'
make[5]: Nothing to be done for 'all-am'.
make[5]: Leaving directory '/build/tre/tre-0.8.0/tests'
make[4]: Leaving directory '/build/tre/tre-0.8.0/tests'
Making all in utils
make[4]: Entering directory '/build/tre/tre-0.8.0/utils'
make[4]: Nothing to be done for 'all'.
make[4]: Leaving directory '/build/tre/tre-0.8.0/utils'
Making all in po
make[4]: Entering directory '/build/tre/tre-0.8.0/po'
make[4]: Leaving directory '/build/tre/tre-0.8.0/po'
Making all in m4
make[4]: Entering directory '/build/tre/tre-0.8.0/m4'
make[4]: Nothing to be done for 'all'.
make[4]: Leaving directory '/build/tre/tre-0.8.0/m4'
make[4]: Entering directory '/build/tre/tre-0.8.0'
make[4]: Leaving directory '/build/tre/tre-0.8.0'
make[3]: Leaving directory '/build/tre/tre-0.8.0'
make[2]: Leaving directory '/build/tre/tre-0.8.0'
/usr/bin/make -C po update-gmo
make[2]: Entering directory '/build/tre/tre-0.8.0/po'
rm -f de.gmo && /usr/bin/msgfmt -c --statistics -o de.gmo de.po
de.po:7: warning: header field 'Language' missing in header
29 translated messages, 1 untranslated message.
rm -f fi.gmo && /usr/bin/msgfmt -c --statistics -o fi.gmo fi.po
fi.po:5: warning: header field 'Language' missing in header
30 translated messages.
rm -f sv.gmo && /usr/bin/msgfmt -c --statistics -o sv.gmo sv.po
sv.po:6: warning: header field 'Language' missing in header
29 translated messages, 1 untranslated message.
make[2]: Leaving directory '/build/tre/tre-0.8.0/po'
make[1]: Leaving directory '/build/tre/tre-0.8.0'
   dh_auto_test
dh_auto_test: warning: Compatibility levels before 10 are deprecated (level 9 in use)
	make -j1 check VERBOSE=1
make[1]: Entering directory '/build/tre/tre-0.8.0'
Making check in lib
make[2]: Entering directory '/build/tre/tre-0.8.0/lib'
make[2]: Leaving directory '/build/tre/tre-0.8.0/lib'
Making check in src
make[2]: Entering directory '/build/tre/tre-0.8.0/src'
make[2]: Nothing to be done for 'check'.
make[2]: Leaving directory '/build/tre/tre-0.8.0/src'
Making check in doc
make[2]: Entering directory '/build/tre/tre-0.8.0/doc'
make[2]: Nothing to be done for 'check'.
make[2]: Leaving directory '/build/tre/tre-0.8.0/doc'
Making check in tests
make[2]: Entering directory '/build/tre/tre-0.8.0/tests'
Making check in agrep
make[3]: Entering directory '/build/tre/tre-0.8.0/tests/agrep'
make  check-TESTS
make[4]: Entering directory '/build/tre/tre-0.8.0/tests/agrep'
make[5]: Entering directory '/build/tre/tre-0.8.0/tests/agrep'
PASS: run-tests.sh
make[6]: Entering directory '/build/tre/tre-0.8.0/tests/agrep'
make[6]: Nothing to be done for 'all'.
make[6]: Leaving directory '/build/tre/tre-0.8.0/tests/agrep'
============================================================================
Testsuite summary for TRE 0.8.0
============================================================================
# TOTAL: 1
# PASS:  1
# SKIP:  0
# XFAIL: 0
# FAIL:  0
# XPASS: 0
# ERROR: 0
============================================================================
make[5]: Leaving directory '/build/tre/tre-0.8.0/tests/agrep'
make[4]: Leaving directory '/build/tre/tre-0.8.0/tests/agrep'
make[3]: Leaving directory '/build/tre/tre-0.8.0/tests/agrep'
make[3]: Entering directory '/build/tre/tre-0.8.0/tests'
make  libxtre.la retest randtest test-str-source wretest
make[4]: Entering directory '/build/tre/tre-0.8.0/tests'
/bin/bash ../libtool  --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H -I. -I.. -I../lib -I../lib  -Wdate-time -D_FORTIFY_SOURCE=2 -DMALLOC_DEBUGGING -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c -o libxtre_la-tre-mem.lo `test -f '../lib/tre-mem.c' || echo './'`../lib/tre-mem.c
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -I../lib -I../lib -Wdate-time -D_FORTIFY_SOURCE=2 -DMALLOC_DEBUGGING -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c ../lib/tre-mem.c  -fPIC -DPIC -o .libs/libxtre_la-tre-mem.o
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -I../lib -I../lib -Wdate-time -D_FORTIFY_SOURCE=2 -DMALLOC_DEBUGGING -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c ../lib/tre-mem.c -o libxtre_la-tre-mem.o >/dev/null 2>&1
/bin/bash ../libtool  --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H -I. -I.. -I../lib -I../lib  -Wdate-time -D_FORTIFY_SOURCE=2 -DMALLOC_DEBUGGING -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c -o libxtre_la-tre-stack.lo `test -f '../lib/tre-stack.c' || echo './'`../lib/tre-stack.c
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -I../lib -I../lib -Wdate-time -D_FORTIFY_SOURCE=2 -DMALLOC_DEBUGGING -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c ../lib/tre-stack.c  -fPIC -DPIC -o .libs/libxtre_la-tre-stack.o
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -I../lib -I../lib -Wdate-time -D_FORTIFY_SOURCE=2 -DMALLOC_DEBUGGING -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c ../lib/tre-stack.c -o libxtre_la-tre-stack.o >/dev/null 2>&1
/bin/bash ../libtool  --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H -I. -I.. -I../lib -I../lib  -Wdate-time -D_FORTIFY_SOURCE=2 -DMALLOC_DEBUGGING -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c -o libxtre_la-tre-ast.lo `test -f '../lib/tre-ast.c' || echo './'`../lib/tre-ast.c
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -I../lib -I../lib -Wdate-time -D_FORTIFY_SOURCE=2 -DMALLOC_DEBUGGING -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c ../lib/tre-ast.c  -fPIC -DPIC -o .libs/libxtre_la-tre-ast.o
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -I../lib -I../lib -Wdate-time -D_FORTIFY_SOURCE=2 -DMALLOC_DEBUGGING -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c ../lib/tre-ast.c -o libxtre_la-tre-ast.o >/dev/null 2>&1
/bin/bash ../libtool  --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H -I. -I.. -I../lib -I../lib  -Wdate-time -D_FORTIFY_SOURCE=2 -DMALLOC_DEBUGGING -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c -o libxtre_la-tre-parse.lo `test -f '../lib/tre-parse.c' || echo './'`../lib/tre-parse.c
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -I../lib -I../lib -Wdate-time -D_FORTIFY_SOURCE=2 -DMALLOC_DEBUGGING -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c ../lib/tre-parse.c  -fPIC -DPIC -o .libs/libxtre_la-tre-parse.o
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -I../lib -I../lib -Wdate-time -D_FORTIFY_SOURCE=2 -DMALLOC_DEBUGGING -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c ../lib/tre-parse.c -o libxtre_la-tre-parse.o >/dev/null 2>&1
/bin/bash ../libtool  --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H -I. -I.. -I../lib -I../lib  -Wdate-time -D_FORTIFY_SOURCE=2 -DMALLOC_DEBUGGING -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c -o libxtre_la-tre-compile.lo `test -f '../lib/tre-compile.c' || echo './'`../lib/tre-compile.c
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -I../lib -I../lib -Wdate-time -D_FORTIFY_SOURCE=2 -DMALLOC_DEBUGGING -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c ../lib/tre-compile.c  -fPIC -DPIC -o .libs/libxtre_la-tre-compile.o
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -I../lib -I../lib -Wdate-time -D_FORTIFY_SOURCE=2 -DMALLOC_DEBUGGING -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c ../lib/tre-compile.c -o libxtre_la-tre-compile.o >/dev/null 2>&1
/bin/bash ../libtool  --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H -I. -I.. -I../lib -I../lib  -Wdate-time -D_FORTIFY_SOURCE=2 -DMALLOC_DEBUGGING -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c -o libxtre_la-tre-match-parallel.lo `test -f '../lib/tre-match-parallel.c' || echo './'`../lib/tre-match-parallel.c
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -I../lib -I../lib -Wdate-time -D_FORTIFY_SOURCE=2 -DMALLOC_DEBUGGING -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c ../lib/tre-match-parallel.c  -fPIC -DPIC -o .libs/libxtre_la-tre-match-parallel.o
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -I../lib -I../lib -Wdate-time -D_FORTIFY_SOURCE=2 -DMALLOC_DEBUGGING -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c ../lib/tre-match-parallel.c -o libxtre_la-tre-match-parallel.o >/dev/null 2>&1
/bin/bash ../libtool  --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H -I. -I.. -I../lib -I../lib  -Wdate-time -D_FORTIFY_SOURCE=2 -DMALLOC_DEBUGGING -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c -o libxtre_la-tre-match-backtrack.lo `test -f '../lib/tre-match-backtrack.c' || echo './'`../lib/tre-match-backtrack.c
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -I../lib -I../lib -Wdate-time -D_FORTIFY_SOURCE=2 -DMALLOC_DEBUGGING -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c ../lib/tre-match-backtrack.c  -fPIC -DPIC -o .libs/libxtre_la-tre-match-backtrack.o
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -I../lib -I../lib -Wdate-time -D_FORTIFY_SOURCE=2 -DMALLOC_DEBUGGING -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c ../lib/tre-match-backtrack.c -o libxtre_la-tre-match-backtrack.o >/dev/null 2>&1
/bin/bash ../libtool  --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H -I. -I.. -I../lib -I../lib  -Wdate-time -D_FORTIFY_SOURCE=2 -DMALLOC_DEBUGGING -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c -o libxtre_la-regcomp.lo `test -f '../lib/regcomp.c' || echo './'`../lib/regcomp.c
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -I../lib -I../lib -Wdate-time -D_FORTIFY_SOURCE=2 -DMALLOC_DEBUGGING -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c ../lib/regcomp.c  -fPIC -DPIC -o .libs/libxtre_la-regcomp.o
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -I../lib -I../lib -Wdate-time -D_FORTIFY_SOURCE=2 -DMALLOC_DEBUGGING -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c ../lib/regcomp.c -o libxtre_la-regcomp.o >/dev/null 2>&1
/bin/bash ../libtool  --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H -I. -I.. -I../lib -I../lib  -Wdate-time -D_FORTIFY_SOURCE=2 -DMALLOC_DEBUGGING -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c -o libxtre_la-regexec.lo `test -f '../lib/regexec.c' || echo './'`../lib/regexec.c
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -I../lib -I../lib -Wdate-time -D_FORTIFY_SOURCE=2 -DMALLOC_DEBUGGING -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c ../lib/regexec.c  -fPIC -DPIC -o .libs/libxtre_la-regexec.o
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -I../lib -I../lib -Wdate-time -D_FORTIFY_SOURCE=2 -DMALLOC_DEBUGGING -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c ../lib/regexec.c -o libxtre_la-regexec.o >/dev/null 2>&1
/bin/bash ../libtool  --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H -I. -I.. -I../lib -I../lib  -Wdate-time -D_FORTIFY_SOURCE=2 -DMALLOC_DEBUGGING -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c -o libxtre_la-regerror.lo `test -f '../lib/regerror.c' || echo './'`../lib/regerror.c
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -I../lib -I../lib -Wdate-time -D_FORTIFY_SOURCE=2 -DMALLOC_DEBUGGING -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c ../lib/regerror.c  -fPIC -DPIC -o .libs/libxtre_la-regerror.o
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -I../lib -I../lib -Wdate-time -D_FORTIFY_SOURCE=2 -DMALLOC_DEBUGGING -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c ../lib/regerror.c -o libxtre_la-regerror.o >/dev/null 2>&1
/bin/bash ../libtool  --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H -I. -I.. -I../lib -I../lib  -Wdate-time -D_FORTIFY_SOURCE=2 -DMALLOC_DEBUGGING -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c -o libxtre_la-xmalloc.lo `test -f '../lib/xmalloc.c' || echo './'`../lib/xmalloc.c
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -I../lib -I../lib -Wdate-time -D_FORTIFY_SOURCE=2 -DMALLOC_DEBUGGING -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c ../lib/xmalloc.c  -fPIC -DPIC -o .libs/libxtre_la-xmalloc.o
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -I../lib -I../lib -Wdate-time -D_FORTIFY_SOURCE=2 -DMALLOC_DEBUGGING -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c ../lib/xmalloc.c -o libxtre_la-xmalloc.o >/dev/null 2>&1
/bin/bash ../libtool  --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H -I. -I.. -I../lib -I../lib  -Wdate-time -D_FORTIFY_SOURCE=2 -DMALLOC_DEBUGGING -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c -o libxtre_la-tre-match-approx.lo `test -f '../lib/tre-match-approx.c' || echo './'`../lib/tre-match-approx.c
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -I../lib -I../lib -Wdate-time -D_FORTIFY_SOURCE=2 -DMALLOC_DEBUGGING -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c ../lib/tre-match-approx.c  -fPIC -DPIC -o .libs/libxtre_la-tre-match-approx.o
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -I../lib -I../lib -Wdate-time -D_FORTIFY_SOURCE=2 -DMALLOC_DEBUGGING -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c ../lib/tre-match-approx.c -o libxtre_la-tre-match-approx.o >/dev/null 2>&1
/bin/bash ../libtool  --tag=CC   --mode=link gcc -DMALLOC_DEBUGGING -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security  -Wl,-Bsymbolic-functions -flto=auto -ffat-lto-objects -flto=auto -Wl,-z,relro -o libxtre.la  libxtre_la-tre-mem.lo libxtre_la-tre-stack.lo libxtre_la-tre-ast.lo libxtre_la-tre-parse.lo libxtre_la-tre-compile.lo libxtre_la-tre-match-parallel.lo libxtre_la-tre-match-backtrack.lo libxtre_la-regcomp.lo libxtre_la-regexec.lo libxtre_la-regerror.lo libxtre_la-xmalloc.lo libxtre_la-tre-match-approx.lo  
libtool: link: ar cru .libs/libxtre.a .libs/libxtre_la-tre-mem.o .libs/libxtre_la-tre-stack.o .libs/libxtre_la-tre-ast.o .libs/libxtre_la-tre-parse.o .libs/libxtre_la-tre-compile.o .libs/libxtre_la-tre-match-parallel.o .libs/libxtre_la-tre-match-backtrack.o .libs/libxtre_la-regcomp.o .libs/libxtre_la-regexec.o .libs/libxtre_la-regerror.o .libs/libxtre_la-xmalloc.o .libs/libxtre_la-tre-match-approx.o 
ar: `u' modifier ignored since `D' is the default (see `U')
libtool: link: ranlib .libs/libxtre.a
libtool: link: ( cd ".libs" && rm -f "libxtre.la" && ln -s "../libxtre.la" "libxtre.la" )
gcc -DHAVE_CONFIG_H -I. -I.. -I../lib -I../lib  -Wdate-time -D_FORTIFY_SOURCE=2 -DMALLOC_DEBUGGING -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c -o retest-retest.o `test -f 'retest.c' || echo './'`retest.c
/bin/bash ../libtool  --tag=CC   --mode=link gcc -DMALLOC_DEBUGGING -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security  -Wl,-Bsymbolic-functions -flto=auto -ffat-lto-objects -flto=auto -Wl,-z,relro -o retest retest-retest.o libxtre.la  
libtool: link: gcc -DMALLOC_DEBUGGING -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wl,-Bsymbolic-functions -flto=auto -ffat-lto-objects -flto=auto -Wl,-z -Wl,relro -o retest retest-retest.o  ./.libs/libxtre.a
In function 'xfree_impl',
    inlined from 'tre_tnfa_run_backtrack' at ../lib/tre-match-backtrack.c:350:4:
../lib/xmalloc.c:313:3: warning: 'free' called on pointer to an unallocated object [-Wfree-nonheap-object]
  313 |   free(ptr);
      |   ^
../lib/xmalloc.c: In function 'tre_tnfa_run_backtrack':
../lib/tre-match-backtrack.c:271:17: note: returned from '__builtin_alloca'
  271 |   states_seen = alloca(sizeof(*states_seen) * tnfa->num_states);
      |                 ^
In function 'xfree_impl',
    inlined from 'tre_tnfa_run_backtrack' at ../lib/tre-match-backtrack.c:350:4:
../lib/xmalloc.c:313:3: warning: 'free' called on pointer to an unallocated object [-Wfree-nonheap-object]
  313 |   free(ptr);
      |   ^
../lib/xmalloc.c: In function 'tre_tnfa_run_backtrack':
../lib/tre-match-backtrack.c:270:12: note: returned from '__builtin_alloca'
  270 |   pmatch = alloca(sizeof(*pmatch) * tnfa->num_submatches);
      |            ^
In function 'xfree_impl',
    inlined from 'tre_tnfa_run_backtrack' at ../lib/tre-match-backtrack.c:350:4:
../lib/xmalloc.c:313:3: warning: 'free' called on pointer to an unallocated object [-Wfree-nonheap-object]
  313 |   free(ptr);
      |   ^
../lib/xmalloc.c: In function 'tre_tnfa_run_backtrack':
../lib/tre-match-backtrack.c:269:10: note: returned from '__builtin_alloca'
  269 |   tags = alloca(sizeof(*tags) * tnfa->num_tags);
      |          ^
In function 'xfree_impl',
    inlined from 'tre_tnfa_run_backtrack' at ../lib/tre-match-backtrack.c:350:4:
../lib/xmalloc.c:313:3: warning: 'free' called on pointer to an unallocated object [-Wfree-nonheap-object]
  313 |   free(ptr);
      |   ^
../lib/xmalloc.c: In function 'tre_tnfa_run_backtrack':
../lib/tre-match-backtrack.c:271:17: note: returned from '__builtin_alloca'
  271 |   states_seen = alloca(sizeof(*states_seen) * tnfa->num_states);
      |                 ^
In function 'xfree_impl',
    inlined from 'tre_tnfa_run_backtrack' at ../lib/tre-match-backtrack.c:350:4:
../lib/xmalloc.c:313:3: warning: 'free' called on pointer to an unallocated object [-Wfree-nonheap-object]
  313 |   free(ptr);
      |   ^
../lib/xmalloc.c: In function 'tre_tnfa_run_backtrack':
../lib/tre-match-backtrack.c:270:12: note: returned from '__builtin_alloca'
  270 |   pmatch = alloca(sizeof(*pmatch) * tnfa->num_submatches);
      |            ^
In function 'xfree_impl',
    inlined from 'tre_tnfa_run_backtrack' at ../lib/tre-match-backtrack.c:350:4:
../lib/xmalloc.c:313:3: warning: 'free' called on pointer to an unallocated object [-Wfree-nonheap-object]
  313 |   free(ptr);
      |   ^
../lib/xmalloc.c: In function 'tre_tnfa_run_backtrack':
../lib/tre-match-backtrack.c:269:10: note: returned from '__builtin_alloca'
  269 |   tags = alloca(sizeof(*tags) * tnfa->num_tags);
      |          ^
In function 'xfree_impl',
    inlined from 'tre_tnfa_run_backtrack' at ../lib/tre-match-backtrack.c:571:5:
../lib/xmalloc.c:313:3: warning: 'free' called on pointer to an unallocated object [-Wfree-nonheap-object]
  313 |   free(ptr);
      |   ^
../lib/xmalloc.c: In function 'tre_tnfa_run_backtrack':
../lib/tre-match-backtrack.c:271:17: note: returned from '__builtin_alloca'
  271 |   states_seen = alloca(sizeof(*states_seen) * tnfa->num_states);
      |                 ^
In function 'xfree_impl',
    inlined from 'tre_tnfa_run_backtrack' at ../lib/tre-match-backtrack.c:571:5:
../lib/xmalloc.c:313:3: warning: 'free' called on pointer to an unallocated object [-Wfree-nonheap-object]
  313 |   free(ptr);
      |   ^
../lib/xmalloc.c: In function 'tre_tnfa_run_backtrack':
../lib/tre-match-backtrack.c:270:12: note: returned from '__builtin_alloca'
  270 |   pmatch = alloca(sizeof(*pmatch) * tnfa->num_submatches);
      |            ^
In function 'xfree_impl',
    inlined from 'tre_tnfa_run_backtrack' at ../lib/tre-match-backtrack.c:571:5:
../lib/xmalloc.c:313:3: warning: 'free' called on pointer to an unallocated object [-Wfree-nonheap-object]
  313 |   free(ptr);
      |   ^
../lib/xmalloc.c: In function 'tre_tnfa_run_backtrack':
../lib/tre-match-backtrack.c:269:10: note: returned from '__builtin_alloca'
  269 |   tags = alloca(sizeof(*tags) * tnfa->num_tags);
      |          ^
In function 'xfree_impl',
    inlined from 'tre_tnfa_run_backtrack' at ../lib/tre-match-backtrack.c:571:5:
../lib/xmalloc.c:313:3: warning: 'free' called on pointer to an unallocated object [-Wfree-nonheap-object]
  313 |   free(ptr);
      |   ^
../lib/xmalloc.c: In function 'tre_tnfa_run_backtrack':
../lib/tre-match-backtrack.c:271:17: note: returned from '__builtin_alloca'
  271 |   states_seen = alloca(sizeof(*states_seen) * tnfa->num_states);
      |                 ^
In function 'xfree_impl',
    inlined from 'tre_tnfa_run_backtrack' at ../lib/tre-match-backtrack.c:571:5:
../lib/xmalloc.c:313:3: warning: 'free' called on pointer to an unallocated object [-Wfree-nonheap-object]
  313 |   free(ptr);
      |   ^
../lib/xmalloc.c: In function 'tre_tnfa_run_backtrack':
../lib/tre-match-backtrack.c:270:12: note: returned from '__builtin_alloca'
  270 |   pmatch = alloca(sizeof(*pmatch) * tnfa->num_submatches);
      |            ^
In function 'xfree_impl',
    inlined from 'tre_tnfa_run_backtrack' at ../lib/tre-match-backtrack.c:571:5:
../lib/xmalloc.c:313:3: warning: 'free' called on pointer to an unallocated object [-Wfree-nonheap-object]
  313 |   free(ptr);
      |   ^
../lib/xmalloc.c: In function 'tre_tnfa_run_backtrack':
../lib/tre-match-backtrack.c:269:10: note: returned from '__builtin_alloca'
  269 |   tags = alloca(sizeof(*tags) * tnfa->num_tags);
      |          ^
gcc -DHAVE_CONFIG_H -I. -I.. -I../lib -I../lib  -Wdate-time -D_FORTIFY_SOURCE=2 -DMALLOC_DEBUGGING -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c -o randtest-randtest.o `test -f 'randtest.c' || echo './'`randtest.c
/bin/bash ../libtool  --tag=CC   --mode=link gcc -DMALLOC_DEBUGGING -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security  -Wl,-Bsymbolic-functions -flto=auto -ffat-lto-objects -flto=auto -Wl,-z,relro -o randtest randtest-randtest.o libxtre.la  
libtool: link: gcc -DMALLOC_DEBUGGING -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wl,-Bsymbolic-functions -flto=auto -ffat-lto-objects -flto=auto -Wl,-z -Wl,relro -o randtest randtest-randtest.o  ./.libs/libxtre.a
gcc -DHAVE_CONFIG_H -I. -I.. -I../lib -I../lib  -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c -o test-str-source.o test-str-source.c
/bin/bash ../libtool  --tag=CC   --mode=link gcc  -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security  -Wl,-Bsymbolic-functions -flto=auto -ffat-lto-objects -flto=auto -Wl,-z,relro -o test-str-source test-str-source.o ../lib/libtre.la  -lm 
libtool: link: gcc -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wl,-Bsymbolic-functions -flto=auto -ffat-lto-objects -flto=auto -Wl,-z -Wl,relro -o .libs/test-str-source test-str-source.o  ../lib/.libs/libtre.so -lm
gcc -DHAVE_CONFIG_H -I. -I.. -I../lib -I../lib -DWRETEST  -Wdate-time -D_FORTIFY_SOURCE=2 -DMALLOC_DEBUGGING -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c -o wretest-retest.o `test -f 'retest.c' || echo './'`retest.c
/bin/bash ../libtool  --tag=CC   --mode=link gcc -DMALLOC_DEBUGGING -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security  -Wl,-Bsymbolic-functions -flto=auto -ffat-lto-objects -flto=auto -Wl,-z,relro -o wretest wretest-retest.o libxtre.la  
libtool: link: gcc -DMALLOC_DEBUGGING -g -O2 -ffile-prefix-map=/build/tre/tre-0.8.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wl,-Bsymbolic-functions -flto=auto -ffat-lto-objects -flto=auto -Wl,-z -Wl,relro -o wretest wretest-retest.o  ./.libs/libxtre.a
In function 'xfree_impl',
    inlined from 'tre_tnfa_run_backtrack.constprop' at ../lib/tre-match-backtrack.c:350:4:
../lib/xmalloc.c:313:3: warning: 'free' called on pointer to an unallocated object [-Wfree-nonheap-object]
  313 |   free(ptr);
      |   ^
../lib/xmalloc.c: In function 'tre_tnfa_run_backtrack.constprop':
../lib/tre-match-backtrack.c:271:17: note: returned from '__builtin_alloca'
  271 |   states_seen = alloca(sizeof(*states_seen) * tnfa->num_states);
      |                 ^
In function 'xfree_impl',
    inlined from 'tre_tnfa_run_backtrack.constprop' at ../lib/tre-match-backtrack.c:350:4:
../lib/xmalloc.c:313:3: warning: 'free' called on pointer to an unallocated object [-Wfree-nonheap-object]
  313 |   free(ptr);
      |   ^
../lib/xmalloc.c: In function 'tre_tnfa_run_backtrack.constprop':
../lib/tre-match-backtrack.c:270:12: note: returned from '__builtin_alloca'
  270 |   pmatch = alloca(sizeof(*pmatch) * tnfa->num_submatches);
      |            ^
In function 'xfree_impl',
    inlined from 'tre_tnfa_run_backtrack.constprop' at ../lib/tre-match-backtrack.c:350:4:
../lib/xmalloc.c:313:3: warning: 'free' called on pointer to an unallocated object [-Wfree-nonheap-object]
  313 |   free(ptr);
      |   ^
../lib/xmalloc.c: In function 'tre_tnfa_run_backtrack.constprop':
../lib/tre-match-backtrack.c:269:10: note: returned from '__builtin_alloca'
  269 |   tags = alloca(sizeof(*tags) * tnfa->num_tags);
      |          ^
In function 'xfree_impl',
    inlined from 'tre_tnfa_run_backtrack.constprop' at ../lib/tre-match-backtrack.c:350:4:
../lib/xmalloc.c:313:3: warning: 'free' called on pointer to an unallocated object [-Wfree-nonheap-object]
  313 |   free(ptr);
      |   ^
../lib/xmalloc.c: In function 'tre_tnfa_run_backtrack.constprop':
../lib/tre-match-backtrack.c:271:17: note: returned from '__builtin_alloca'
  271 |   states_seen = alloca(sizeof(*states_seen) * tnfa->num_states);
      |                 ^
In function 'xfree_impl',
    inlined from 'tre_tnfa_run_backtrack.constprop' at ../lib/tre-match-backtrack.c:350:4:
../lib/xmalloc.c:313:3: warning: 'free' called on pointer to an unallocated object [-Wfree-nonheap-object]
  313 |   free(ptr);
      |   ^
../lib/xmalloc.c: In function 'tre_tnfa_run_backtrack.constprop':
../lib/tre-match-backtrack.c:270:12: note: returned from '__builtin_alloca'
  270 |   pmatch = alloca(sizeof(*pmatch) * tnfa->num_submatches);
      |            ^
In function 'xfree_impl',
    inlined from 'tre_tnfa_run_backtrack.constprop' at ../lib/tre-match-backtrack.c:350:4:
../lib/xmalloc.c:313:3: warning: 'free' called on pointer to an unallocated object [-Wfree-nonheap-object]
  313 |   free(ptr);
      |   ^
../lib/xmalloc.c: In function 'tre_tnfa_run_backtrack.constprop':
../lib/tre-match-backtrack.c:269:10: note: returned from '__builtin_alloca'
  269 |   tags = alloca(sizeof(*tags) * tnfa->num_tags);
      |          ^
In function 'xfree_impl',
    inlined from 'tre_tnfa_run_backtrack.constprop' at ../lib/tre-match-backtrack.c:571:5:
../lib/xmalloc.c:313:3: warning: 'free' called on pointer to an unallocated object [-Wfree-nonheap-object]
  313 |   free(ptr);
      |   ^
../lib/xmalloc.c: In function 'tre_tnfa_run_backtrack.constprop':
../lib/tre-match-backtrack.c:271:17: note: returned from '__builtin_alloca'
  271 |   states_seen = alloca(sizeof(*states_seen) * tnfa->num_states);
      |                 ^
In function 'xfree_impl',
    inlined from 'tre_tnfa_run_backtrack.constprop' at ../lib/tre-match-backtrack.c:571:5:
../lib/xmalloc.c:313:3: warning: 'free' called on pointer to an unallocated object [-Wfree-nonheap-object]
  313 |   free(ptr);
      |   ^
../lib/xmalloc.c: In function 'tre_tnfa_run_backtrack.constprop':
../lib/tre-match-backtrack.c:270:12: note: returned from '__builtin_alloca'
  270 |   pmatch = alloca(sizeof(*pmatch) * tnfa->num_submatches);
      |            ^
In function 'xfree_impl',
    inlined from 'tre_tnfa_run_backtrack.constprop' at ../lib/tre-match-backtrack.c:571:5:
../lib/xmalloc.c:313:3: warning: 'free' called on pointer to an unallocated object [-Wfree-nonheap-object]
  313 |   free(ptr);
      |   ^
../lib/xmalloc.c: In function 'tre_tnfa_run_backtrack.constprop':
../lib/tre-match-backtrack.c:269:10: note: returned from '__builtin_alloca'
  269 |   tags = alloca(sizeof(*tags) * tnfa->num_tags);
      |          ^
In function 'xfree_impl',
    inlined from 'tre_tnfa_run_backtrack.constprop' at ../lib/tre-match-backtrack.c:571:5:
../lib/xmalloc.c:313:3: warning: 'free' called on pointer to an unallocated object [-Wfree-nonheap-object]
  313 |   free(ptr);
      |   ^
../lib/xmalloc.c: In function 'tre_tnfa_run_backtrack.constprop':
../lib/tre-match-backtrack.c:271:17: note: returned from '__builtin_alloca'
  271 |   states_seen = alloca(sizeof(*states_seen) * tnfa->num_states);
      |                 ^
In function 'xfree_impl',
    inlined from 'tre_tnfa_run_backtrack.constprop' at ../lib/tre-match-backtrack.c:571:5:
../lib/xmalloc.c:313:3: warning: 'free' called on pointer to an unallocated object [-Wfree-nonheap-object]
  313 |   free(ptr);
      |   ^
../lib/xmalloc.c: In function 'tre_tnfa_run_backtrack.constprop':
../lib/tre-match-backtrack.c:270:12: note: returned from '__builtin_alloca'
  270 |   pmatch = alloca(sizeof(*pmatch) * tnfa->num_submatches);
      |            ^
In function 'xfree_impl',
    inlined from 'tre_tnfa_run_backtrack.constprop' at ../lib/tre-match-backtrack.c:571:5:
../lib/xmalloc.c:313:3: warning: 'free' called on pointer to an unallocated object [-Wfree-nonheap-object]
  313 |   free(ptr);
      |   ^
../lib/xmalloc.c: In function 'tre_tnfa_run_backtrack.constprop':
../lib/tre-match-backtrack.c:269:10: note: returned from '__builtin_alloca'
  269 |   tags = alloca(sizeof(*tags) * tnfa->num_tags);
      |          ^
make[4]: Leaving directory '/build/tre/tre-0.8.0/tests'
make  check-TESTS
make[4]: Entering directory '/build/tre/tre-0.8.0/tests'
make[5]: Entering directory '/build/tre/tre-0.8.0/tests'
PASS: test-str-source
PASS: retest
PASS: wretest
make[6]: Entering directory '/build/tre/tre-0.8.0/tests'
Making all in agrep
make[7]: Entering directory '/build/tre/tre-0.8.0/tests/agrep'
make[7]: Nothing to be done for 'all'.
make[7]: Leaving directory '/build/tre/tre-0.8.0/tests/agrep'
make[7]: Entering directory '/build/tre/tre-0.8.0/tests'
make[7]: Nothing to be done for 'all-am'.
make[7]: Leaving directory '/build/tre/tre-0.8.0/tests'
make[6]: Leaving directory '/build/tre/tre-0.8.0/tests'
============================================================================
Testsuite summary for TRE 0.8.0
============================================================================
# TOTAL: 3
# PASS:  3
# SKIP:  0
# XFAIL: 0
# FAIL:  0
# XPASS: 0
# ERROR: 0
============================================================================
make[5]: Leaving directory '/build/tre/tre-0.8.0/tests'
make[4]: Leaving directory '/build/tre/tre-0.8.0/tests'
make[3]: Leaving directory '/build/tre/tre-0.8.0/tests'
make[2]: Leaving directory '/build/tre/tre-0.8.0/tests'
Making check in utils
make[2]: Entering directory '/build/tre/tre-0.8.0/utils'
make[2]: Nothing to be done for 'check'.
make[2]: Leaving directory '/build/tre/tre-0.8.0/utils'
Making check in po
make[2]: Entering directory '/build/tre/tre-0.8.0/po'
make[2]: Leaving directory '/build/tre/tre-0.8.0/po'
Making check in m4
make[2]: Entering directory '/build/tre/tre-0.8.0/m4'
make[2]: Nothing to be done for 'check'.
make[2]: Leaving directory '/build/tre/tre-0.8.0/m4'
make[2]: Entering directory '/build/tre/tre-0.8.0'
make[2]: Leaving directory '/build/tre/tre-0.8.0'
make[1]: Leaving directory '/build/tre/tre-0.8.0'
 debian/rules binary
dh binary
dh: warning: Compatibility levels before 10 are deprecated (level 9 in use)
   dh_testroot
   dh_prep
   debian/rules override_dh_auto_install
make[1]: Entering directory '/build/tre/tre-0.8.0'
dh_auto_install
dh_auto_install: warning: Compatibility levels before 10 are deprecated (level 9 in use)
	make -j1 install DESTDIR=/build/tre/tre-0.8.0/debian/tmp AM_UPDATE_INFO_DIR=no
make[2]: Entering directory '/build/tre/tre-0.8.0'
Making install in lib
make[3]: Entering directory '/build/tre/tre-0.8.0/lib'
make[4]: Entering directory '/build/tre/tre-0.8.0/lib'
 /usr/bin/mkdir -p '/build/tre/tre-0.8.0/debian/tmp/usr/lib/x86_64-linux-gnu'
 /bin/bash ../libtool   --mode=install /usr/bin/install -c   libtre.la '/build/tre/tre-0.8.0/debian/tmp/usr/lib/x86_64-linux-gnu'
libtool: install: /usr/bin/install -c .libs/libtre.so.5.0.0 /build/tre/tre-0.8.0/debian/tmp/usr/lib/x86_64-linux-gnu/libtre.so.5.0.0
libtool: install: (cd /build/tre/tre-0.8.0/debian/tmp/usr/lib/x86_64-linux-gnu && { ln -s -f libtre.so.5.0.0 libtre.so.5 || { rm -f libtre.so.5 && ln -s libtre.so.5.0.0 libtre.so.5; }; })
libtool: install: (cd /build/tre/tre-0.8.0/debian/tmp/usr/lib/x86_64-linux-gnu && { ln -s -f libtre.so.5.0.0 libtre.so || { rm -f libtre.so && ln -s libtre.so.5.0.0 libtre.so; }; })
libtool: install: /usr/bin/install -c .libs/libtre.lai /build/tre/tre-0.8.0/debian/tmp/usr/lib/x86_64-linux-gnu/libtre.la
libtool: install: /usr/bin/install -c .libs/libtre.a /build/tre/tre-0.8.0/debian/tmp/usr/lib/x86_64-linux-gnu/libtre.a
libtool: install: chmod 644 /build/tre/tre-0.8.0/debian/tmp/usr/lib/x86_64-linux-gnu/libtre.a
libtool: install: ranlib /build/tre/tre-0.8.0/debian/tmp/usr/lib/x86_64-linux-gnu/libtre.a
libtool: install: warning: remember to run `libtool --finish /usr/lib/x86_64-linux-gnu'
 /usr/bin/mkdir -p '/build/tre/tre-0.8.0/debian/tmp/usr/include/tre'
 /usr/bin/install -c -m 644 tre.h regex.h '/build/tre/tre-0.8.0/debian/tmp/usr/include/tre'
 /usr/bin/mkdir -p '/build/tre/tre-0.8.0/debian/tmp/usr/include/tre'
 /usr/bin/install -c -m 644 tre-config.h '/build/tre/tre-0.8.0/debian/tmp/usr/include/tre'
make[4]: Leaving directory '/build/tre/tre-0.8.0/lib'
make[3]: Leaving directory '/build/tre/tre-0.8.0/lib'
Making install in src
make[3]: Entering directory '/build/tre/tre-0.8.0/src'
make[4]: Entering directory '/build/tre/tre-0.8.0/src'
 /usr/bin/mkdir -p '/build/tre/tre-0.8.0/debian/tmp/usr/bin'
  /bin/bash ../libtool   --mode=install /usr/bin/install -c agrep '/build/tre/tre-0.8.0/debian/tmp/usr/bin'
libtool: install: warning: `../lib/libtre.la' has not been installed in `/usr/lib/x86_64-linux-gnu'
libtool: install: /usr/bin/install -c .libs/agrep /build/tre/tre-0.8.0/debian/tmp/usr/bin/agrep
make[4]: Nothing to be done for 'install-data-am'.
make[4]: Leaving directory '/build/tre/tre-0.8.0/src'
make[3]: Leaving directory '/build/tre/tre-0.8.0/src'
Making install in doc
make[3]: Entering directory '/build/tre/tre-0.8.0/doc'
make[4]: Entering directory '/build/tre/tre-0.8.0/doc'
make[4]: Nothing to be done for 'install-exec-am'.
 /usr/bin/mkdir -p '/build/tre/tre-0.8.0/debian/tmp/usr/share/man/man1'
 /usr/bin/install -c -m 644 agrep.1 '/build/tre/tre-0.8.0/debian/tmp/usr/share/man/man1'
make[4]: Leaving directory '/build/tre/tre-0.8.0/doc'
make[3]: Leaving directory '/build/tre/tre-0.8.0/doc'
Making install in tests
make[3]: Entering directory '/build/tre/tre-0.8.0/tests'
Making install in agrep
make[4]: Entering directory '/build/tre/tre-0.8.0/tests/agrep'
make[5]: Entering directory '/build/tre/tre-0.8.0/tests/agrep'
make[5]: Nothing to be done for 'install-exec-am'.
make[5]: Nothing to be done for 'install-data-am'.
make[5]: Leaving directory '/build/tre/tre-0.8.0/tests/agrep'
make[4]: Leaving directory '/build/tre/tre-0.8.0/tests/agrep'
make[4]: Entering directory '/build/tre/tre-0.8.0/tests'
make[5]: Entering directory '/build/tre/tre-0.8.0/tests'
make[5]: Nothing to be done for 'install-exec-am'.
make[5]: Nothing to be done for 'install-data-am'.
make[5]: Leaving directory '/build/tre/tre-0.8.0/tests'
make[4]: Leaving directory '/build/tre/tre-0.8.0/tests'
make[3]: Leaving directory '/build/tre/tre-0.8.0/tests'
Making install in utils
make[3]: Entering directory '/build/tre/tre-0.8.0/utils'
make[4]: Entering directory '/build/tre/tre-0.8.0/utils'
make[4]: Nothing to be done for 'install-exec-am'.
make[4]: Nothing to be done for 'install-data-am'.
make[4]: Leaving directory '/build/tre/tre-0.8.0/utils'
make[3]: Leaving directory '/build/tre/tre-0.8.0/utils'
Making install in po
make[3]: Entering directory '/build/tre/tre-0.8.0/po'
/usr/bin/mkdir -p /build/tre/tre-0.8.0/debian/tmp/usr/share
installing de.gmo as /build/tre/tre-0.8.0/debian/tmp/usr/share/locale/de/LC_MESSAGES/tre.mo
installing fi.gmo as /build/tre/tre-0.8.0/debian/tmp/usr/share/locale/fi/LC_MESSAGES/tre.mo
installing sv.gmo as /build/tre/tre-0.8.0/debian/tmp/usr/share/locale/sv/LC_MESSAGES/tre.mo
if test "tre" = "gettext-tools"; then \
  /usr/bin/mkdir -p /build/tre/tre-0.8.0/debian/tmp/usr/share/gettext/po; \
  for file in Makefile.in.in remove-potcdate.sin quot.sed boldquot.sed en@quot.header en@boldquot.header insert-header.sin Rules-quot   Makevars.template; do \
    /usr/bin/install -c -m 644 ./$file \
		    /build/tre/tre-0.8.0/debian/tmp/usr/share/gettext/po/$file; \
  done; \
  for file in Makevars; do \
    rm -f /build/tre/tre-0.8.0/debian/tmp/usr/share/gettext/po/$file; \
  done; \
else \
  : ; \
fi
make[3]: Leaving directory '/build/tre/tre-0.8.0/po'
Making install in m4
make[3]: Entering directory '/build/tre/tre-0.8.0/m4'
make[4]: Entering directory '/build/tre/tre-0.8.0/m4'
make[4]: Nothing to be done for 'install-exec-am'.
make[4]: Nothing to be done for 'install-data-am'.
make[4]: Leaving directory '/build/tre/tre-0.8.0/m4'
make[3]: Leaving directory '/build/tre/tre-0.8.0/m4'
make[3]: Entering directory '/build/tre/tre-0.8.0'
make[4]: Entering directory '/build/tre/tre-0.8.0'
make[4]: Nothing to be done for 'install-exec-am'.
 /usr/bin/mkdir -p '/build/tre/tre-0.8.0/debian/tmp/usr/lib/x86_64-linux-gnu/pkgconfig'
 /usr/bin/install -c -m 644 tre.pc '/build/tre/tre-0.8.0/debian/tmp/usr/lib/x86_64-linux-gnu/pkgconfig'
make[4]: Leaving directory '/build/tre/tre-0.8.0'
make[3]: Leaving directory '/build/tre/tre-0.8.0'
make[2]: Leaving directory '/build/tre/tre-0.8.0'
mv debian/tmp/usr/bin/agrep \
   debian/tmp/usr/bin/tre-agrep
mv debian/tmp/usr/share/man/man1/agrep.1 \
   debian/tmp/usr/share/man/man1/tre-agrep.1
make[1]: Leaving directory '/build/tre/tre-0.8.0'
   dh_install
dh_install: warning: Compatibility levels before 10 are deprecated (level 9 in use)
   debian/rules override_dh_installdocs
make[1]: Entering directory '/build/tre/tre-0.8.0'
dh_installdocs --link-doc=libtre5 NEWS README THANKS TODO
dh_installdocs: warning: Compatibility levels before 10 are deprecated (level 9 in use)
make[1]: Leaving directory '/build/tre/tre-0.8.0'
   dh_installchangelogs
   dh_installman
dh_installman: warning: Compatibility levels before 10 are deprecated (level 9 in use)
   dh_perl
   dh_link
   dh_strip_nondeterminism
	Normalized debian/libtre5/usr/share/locale/sv/LC_MESSAGES/tre.mo
	Normalized debian/libtre5/usr/share/locale/fi/LC_MESSAGES/tre.mo
	Normalized debian/libtre5/usr/share/locale/de/LC_MESSAGES/tre.mo
   dh_compress
dh_compress: warning: Compatibility levels before 10 are deprecated (level 9 in use)
dh_compress: warning: Compatibility levels before 10 are deprecated (level 9 in use)
dh_compress: warning: Compatibility levels before 10 are deprecated (level 9 in use)
   dh_fixperms
   dh_missing
dh_missing: warning: Compatibility levels before 10 are deprecated (level 9 in use)
   dh_strip
dh_strip: warning: Compatibility levels before 10 are deprecated (level 9 in use)
dh_strip: warning: Compatibility levels before 10 are deprecated (level 9 in use)
dh_strip: warning: Compatibility levels before 10 are deprecated (level 9 in use)
f8fc2c27811ffef4596aa9e5ec89c65538ff70d9
2ba3c679b472c5a26b53961f1c8eab6be57521ea
   dh_makeshlibs
dh_makeshlibs: warning: Compatibility levels before 10 are deprecated (level 9 in use)
   dh_shlibdeps
dh_shlibdeps: warning: Compatibility levels before 10 are deprecated (level 9 in use)
dh_shlibdeps: warning: Compatibility levels before 10 are deprecated (level 9 in use)
dh_shlibdeps: warning: Compatibility levels before 10 are deprecated (level 9 in use)
   dh_installdeb
dh_installdeb: warning: Compatibility levels before 10 are deprecated (level 9 in use)
   dh_gencontrol
dpkg-gencontrol: warning: Depends field of package libtre-dev: substitution variable ${shlibs:Depends} used, but is not defined
   dh_md5sums
   dh_builddeb
pkgstripfiles: processing control file: debian/tre-agrep/DEBIAN/control, package tre-agrep, directory debian/tre-agrep
INFO: pkgstripfiles: waiting for lock (tre-agrep) ...
pkgstripfiles: processing control file: debian/libtre5/DEBIAN/control, package libtre5, directory debian/libtre5
pkgstripfiles: processing control file: debian/libtre-dev/DEBIAN/control, package libtre-dev, directory debian/libtre-dev
INFO: pkgstripfiles: waiting for lock (libtre-dev) ...
pkgstripfiles: Truncating usr/share/doc/libtre5/changelog.Debian.gz to topmost ten records
pkgstripfiles: Running PNG optimization (using 40 cpus) for package libtre5 ...
pkgstripfiles: No PNG files.
dpkg-deb: building package 'libtre5' in '../libtre5_0.8.0-6+11.0trisquel0_amd64.deb'.
INFO: pkgstripfiles: waiting for lock (tre-agrep) ...
pkgstripfiles: Running PNG optimization (using 40 cpus) for package libtre-dev ...
pkgstripfiles: No PNG files.
dpkg-deb: building package 'libtre-dev' in '../libtre-dev_0.8.0-6+11.0trisquel0_amd64.deb'.
pkgstripfiles: Running PNG optimization (using 40 cpus) for package tre-agrep ...
pkgstripfiles: No PNG files.
dpkg-deb: building package 'tre-agrep' in '../tre-agrep_0.8.0-6+11.0trisquel0_amd64.deb'.
 dpkg-genbuildinfo -O../tre_0.8.0-6+11.0trisquel0_amd64.buildinfo
 dpkg-genchanges -O../tre_0.8.0-6+11.0trisquel0_amd64.changes
dpkg-genchanges: info: including full source code in upload
 dpkg-source --after-build .
dpkg-buildpackage: info: full upload; Debian-native package (full source is included)
+ date
Wed Aug 16 14:05:30 UTC 2023
+ cd ..
+ ls -la
total 820
drwxr-xr-x  3 root root   4096 Aug 16 14:05 .
drwxr-xr-x  3 root root   4096 Aug 16 14:04 ..
-rw-r--r--  1 root root  85792 Aug 16 14:05 buildlog.txt
-rw-r--r--  1 root root  36034 Aug 16 14:05 libtre-dev_0.8.0-6+11.0trisquel0_amd64.deb
-rw-r--r--  1 root root  50502 Aug 16 14:05 libtre5_0.8.0-6+11.0trisquel0_amd64.deb
drwxr-xr-x 13 root root   4096 Aug 16 14:04 tre-0.8.0
-rw-r--r--  1 root root  10714 Aug 16 14:05 tre-agrep_0.8.0-6+11.0trisquel0_amd64.deb
-rw-r--r--  1 root root    772 Aug 16 14:04 tre_0.8.0-6+11.0trisquel0.dsc
-rw-r--r--  1 root root 615472 Aug 16 14:04 tre_0.8.0-6+11.0trisquel0.tar.xz
-rw-r--r--  1 root root   7263 Aug 16 14:05 tre_0.8.0-6+11.0trisquel0_amd64.buildinfo
-rw-r--r--  1 root root   2452 Aug 16 14:05 tre_0.8.0-6+11.0trisquel0_amd64.changes
+ find . -maxdepth 1 -type f
+ sha256sum ./buildlog.txt ./tre_0.8.0-6+11.0trisquel0_amd64.buildinfo ./libtre5_0.8.0-6+11.0trisquel0_amd64.deb ./tre_0.8.0-6+11.0trisquel0.dsc ./libtre-dev_0.8.0-6+11.0trisquel0_amd64.deb ./tre_0.8.0-6+11.0trisquel0.tar.xz ./tre-agrep_0.8.0-6+11.0trisquel0_amd64.deb ./tre_0.8.0-6+11.0trisquel0_amd64.changes
2953fa3046f1e0fa9d9961ebf6edffd1d0020bfa476ed9c8d1d40128a97229fe  ./buildlog.txt
296b1ec9ed8b7af6a6aaac4cfd24708fa01472bd198720240dd6c734ab469a7e  ./tre_0.8.0-6+11.0trisquel0_amd64.buildinfo
f76503a053e417fc2e976242713d9099dbc20e02ea40943b1a5c9c9832a32183  ./libtre5_0.8.0-6+11.0trisquel0_amd64.deb
131d1fd6f8cccf229db8cb10029345ae265443d777aabda5cb0631f833695930  ./tre_0.8.0-6+11.0trisquel0.dsc
cf153a10413b19d8e1cf88fb93886d16ce0fe07988d56fad492d74b488ff37b3  ./libtre-dev_0.8.0-6+11.0trisquel0_amd64.deb
fe9d1b81c2975cfef0f03522ef6ec94bbab73d7f41dfb1fc78d6e357ef98f30e  ./tre_0.8.0-6+11.0trisquel0.tar.xz
081fa8c369ced0fe8ffcea0d1193f8ae786704778ab514d4ab63f576e0836cce  ./tre-agrep_0.8.0-6+11.0trisquel0_amd64.deb
18699c5cd515c04d9a544256d11f0f9d7c26e3ff0e83eac67e899c1aa937d0db  ./tre_0.8.0-6+11.0trisquel0_amd64.changes
+ mkdir published
+ cd published
+ cd ../
+ ls libtre-dev_0.8.0-6+11.0trisquel0_amd64.deb libtre5_0.8.0-6+11.0trisquel0_amd64.deb tre-agrep_0.8.0-6+11.0trisquel0_amd64.deb *.udeb
ls: cannot access '*.udeb': No such file or directory
+ wget --retry-connrefused --retry-on-host-error --tries=3 http://ftp.acc.umu.se/mirror/trisquel/packages/pool/main/t/tre/libtre-dev_0.8.0-6+11.0trisquel0_amd64.deb
--2023-08-16 14:05:30--  http://ftp.acc.umu.se/mirror/trisquel/packages/pool/main/t/tre/libtre-dev_0.8.0-6+11.0trisquel0_amd64.deb
Resolving ftp.acc.umu.se (ftp.acc.umu.se)... 194.71.11.163, 194.71.11.173, 194.71.11.165, ...
Connecting to ftp.acc.umu.se (ftp.acc.umu.se)|194.71.11.163|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 36030 (35K) [application/x-debian-package]
Saving to: 'libtre-dev_0.8.0-6+11.0trisquel0_amd64.deb'

     0K .......... .......... .......... .....                100% 2.40M=0.01s

2023-08-16 14:05:30 (2.40 MB/s) - 'libtre-dev_0.8.0-6+11.0trisquel0_amd64.deb' saved [36030/36030]

+ wget --retry-connrefused --retry-on-host-error --tries=3 http://ftp.acc.umu.se/mirror/trisquel/packages/pool/main/t/tre/libtre5_0.8.0-6+11.0trisquel0_amd64.deb
--2023-08-16 14:05:30--  http://ftp.acc.umu.se/mirror/trisquel/packages/pool/main/t/tre/libtre5_0.8.0-6+11.0trisquel0_amd64.deb
Resolving ftp.acc.umu.se (ftp.acc.umu.se)... 194.71.11.165, 194.71.11.173, 194.71.11.163, ...
Connecting to ftp.acc.umu.se (ftp.acc.umu.se)|194.71.11.165|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 50496 (49K) [application/x-debian-package]
Saving to: 'libtre5_0.8.0-6+11.0trisquel0_amd64.deb'

     0K .......... .......... .......... .......... ......... 100% 2.30M=0.02s

2023-08-16 14:05:30 (2.30 MB/s) - 'libtre5_0.8.0-6+11.0trisquel0_amd64.deb' saved [50496/50496]

+ wget --retry-connrefused --retry-on-host-error --tries=3 http://ftp.acc.umu.se/mirror/trisquel/packages/pool/main/t/tre/tre-agrep_0.8.0-6+11.0trisquel0_amd64.deb
--2023-08-16 14:05:30--  http://ftp.acc.umu.se/mirror/trisquel/packages/pool/main/t/tre/tre-agrep_0.8.0-6+11.0trisquel0_amd64.deb
Resolving ftp.acc.umu.se (ftp.acc.umu.se)... 194.71.11.173, 194.71.11.165, 194.71.11.163, ...
Connecting to ftp.acc.umu.se (ftp.acc.umu.se)|194.71.11.173|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 10712 (10K) [application/x-debian-package]
Saving to: 'tre-agrep_0.8.0-6+11.0trisquel0_amd64.deb'

     0K ..........                                            100% 34.6M=0s

2023-08-16 14:05:30 (34.6 MB/s) - 'tre-agrep_0.8.0-6+11.0trisquel0_amd64.deb' saved [10712/10712]

+ tee ../SHA256SUMS
+ find . -maxdepth 1 -type f
+ sha256sum ./libtre5_0.8.0-6+11.0trisquel0_amd64.deb ./libtre-dev_0.8.0-6+11.0trisquel0_amd64.deb ./tre-agrep_0.8.0-6+11.0trisquel0_amd64.deb
750d6471f8c7ac83acc624f770d5dc7f220da3f97f229b28a6ac8c9008e4f631  ./libtre5_0.8.0-6+11.0trisquel0_amd64.deb
30d1229b712200e3bd2b2141bdf382145303251b9d0000f0227a7841f34d3731  ./libtre-dev_0.8.0-6+11.0trisquel0_amd64.deb
909a6613d1c349a6db7155f0db708583aa1b7cfb949b1262e73be1b5b666b9f4  ./tre-agrep_0.8.0-6+11.0trisquel0_amd64.deb
+ cd ..
+ sha256sum -c SHA256SUMS
./libtre5_0.8.0-6+11.0trisquel0_amd64.deb: FAILED
./libtre-dev_0.8.0-6+11.0trisquel0_amd64.deb: FAILED
./tre-agrep_0.8.0-6+11.0trisquel0_amd64.deb: FAILED
sha256sum: WARNING: 3 computed checksums did NOT match
